## aiccu 20070115

=== Makefile ===
# /**********************************************************
#  SixXS - Automatic IPv6 Connectivity Configuration Utility
# ***********************************************************
#  Copyright 2003-2005 SixXS - http://www.sixxs.net
# ***********************************************************
#  Packaging Makefile
# ***********************************************************
#  $Author: jeroen $
#  $Id: Makefile,v 1.22 2007-01-11 00:29:33 jeroen Exp $
#  $Date: 2007-01-11 00:29:33 $
# **********************************************************/
#
# Note for BSD people: use GNU Make (gmake)

PROJECT=aiccu
PROJECT_DESC="Automatic IPv6 Connectivity Configuration Utility"
PROJECT_VERSION=$(shell grep "AICCU_VER" common/aiccu.h | head -n 1 | awk '{print $$3}' | tr -d \")

# Misc bins
RM=@rm -f
MAKE:=@${MAKE}
CP=@echo [Copy]; cp
RPMBUILD=@echo [RPMBUILD]; rpmbuild
RPMBUILD_SILENCE=>/dev/null 2>/dev/null

# Excludes for limited source release
EXCLUDES=--exclude "${PROJECT}/windows-*" --exclude "${PROJECT}/common/aiccu_win32.c" --exclude CVS --exclude "${PROJECT}/common/tsp*" --exclude "${PROJECT}/common/teepee*"
DEBEXCL=-Iwindows-* -Icommon/aiccu_win32.c -I*CVS* -Icommon/tsp* -Icommon/teepee*

# Change this if you want to install into another dirtree
# Required for eg the Debian Package builder
DESTDIR=
export DESTDIR

# This may be updated by RPM's for instance
CFLAGS=${RPM_OPT_FLAGS}

# Destination Paths (relative to DESTDIR)
dirsbin=/usr/sbin/
dirbin=/usr/bin/
diretc=/etc/
dirdoc=/usr/share/doc/${PROJECT}/

# Make sure the lower makefile also knows these
export PROJECT
export PROJECT_DESC
export PROJECT_VERSION
export PROJECT_COPYRIGHT
export DESTDIR
export RM
export MV
export CC
export CP
export MAKE
export dirsbin
export dirbin
export diretc
export dirdoc
export RPM_OPT_FLAGS
export CFLAGS

####################
## Makefile Targets
####################

all:	Makefile unix-console/
	@echo "Building  : $(PROJECT) - $(PROJECT_DESC)"
	@echo "Copyright : SixXS"
	@echo "Version   : $(PROJECT_VERSION)"
	$(MAKE) -C unix-console all
	@echo "Building done"

install: aiccu
	@echo "Installing into ${DESTDIR}..."
	@echo "Binaries..."
	@mkdir -p ${DESTDIR}${dirsbin}
	$(MAKE) -C unix-console install
	@mkdir -p ${DESTDIR}${dirdoc}
	@echo "Configuration..."
	@mkdir -p ${DESTDIR}${diretc}
ifeq ($(shell echo "A${RPM_BUILD_ROOT}"),A)
	$(shell [ -f ${DESTDIR}${diretc}${PROJECT}.conf ] || cp -R doc/${PROJECT}.conf ${DESTDIR}${diretc}${PROJECT}.conf)
	@echo "Documentation..."
	@cp doc/README ${DESTDIR}${dirdoc}
	@cp doc/LICENSE ${DESTDIR}${dirdoc}
	@cp doc/HOWTO  ${DESTDIR}${dirdoc}
	@echo "Installing Debian-style init.d"
	@mkdir -p ${DESTDIR}${diretc}init.d
	@cp doc/${PROJECT}.init.debian ${DESTDIR}${diretc}init.d/${PROJECT}
else
	@echo "Installing Redhat-style init.d"
	@mkdir -p ${DESTDIR}${diretc}init.d
	@cp doc/${PROJECT}.init.rpm ${DESTDIR}${diretc}init.d/${PROJECT}
	@cp doc/${PROJECT}.conf ${DESTDIR}${diretc}${PROJECT}.conf
endif
	@echo "Installation into ${DESTDIR}/ completed"

help:
	@echo "$(PROJECT) - $(PROJECT_DESC)"
	@echo
	@echo "Makefile targets:"
	@echo "all      : Build everything"
	@echo "help     : This little text"
	@echo "install  : Build & Install into ${DESTDIR}/"
	@echo "clean    : Clean the dirs to be pristine in bondage"
	@echo
	@echo "Distribution targets:"
	@echo "dist     : Make all distribution targets (except rpm's)"
	@echo "tar      : Make source tarball (tar.gz)"
	@echo "bz2      : Make source tarball (tar.bz2)"
	@echo "deb      : Make Debian binary package (.deb)"
	@echo "debsrc   : Make Debian source packages"
	@echo "rpm      : Make RPM package (.rpm)"
	@echo "rpmsrc   : Make RPM source packages"
	@echo
	@echo "SixXS targets:"
	@echo "tarfull  : Full tar including Windows directories" 
	@echo "bz2full  : Full bz2 including Windows directories" 

aiccu:	doc unix-console/
	$(MAKE) -C unix-console all

doc:	doc/aiccu.1

doc/aiccu.1: doc/aiccu.sgml
	docbook-to-man doc/aiccu.sgml >doc/aiccu.1

clean: debclean rpmclean
	$(MAKE) -C unix-console clean
	-${RM} -r windows-gui/Debug
	-${RM} -r windows-gui/Release
	-${RM} windows-gui/AICCU.APS
	-${RM} windows-gui/AICCU.ncb
	-${RM} -r windows-console/Debug
	-${RM} -r windows-console/Release
	-${RM} windows-console/AICCU.APS
	-${RM} windows-console/AICCU.ncb

# Generate Distribution files
dist:	tar bz2 deb

# tar.gz
tar:	clean
	-${RM} ../${PROJECT}_${PROJECT_VERSION}.tar.gz
	tar -zco -C .. ${EXCLUDES} -f ../${PROJECT}_${PROJECT_VERSION}.tar.gz ${PROJECT}

# tar.gz (full)
tarfull: clean
	-${RM} ../${PROJECT}_${PROJECT_VERSION}.tar.gz
	tar -zco -C .. -f ../${PROJECT}_${PROJECT_VERSION}-full.tar.gz ${PROJECT}

# tar.bz2
bz2:	clean
	-${RM} ../${PROJECT}_${PROJECT_VERSION}.tar.bz2
	tar -jco -C .. ${EXCLUDES} -f ../${PROJECT}_${PROJECT_VERSION}.tar.bz2 ${PROJECT}

# tar.bz2 (full)
bz2full: clean
	-${RM} ../${PROJECT}_${PROJECT_VERSION}.tar.bz2
	tar -jco -C .. -f ../${PROJECT}_${PROJECT_VERSION}-full.tar.bz2 ${PROJECT}

# .deb
deb:	clean
	# Copy the changelog
	${CP} doc/changelog debian/changelog
	${CP} doc/${PROJECT}.init.debian debian/${PROJECT}.init
	dpkg-buildpackage $(DEBEXCL) -rfakeroot
	${MAKE} clean

# Cleanup after debian
debclean:
	-${RM} debian/${PROJECT}.init debian/${PROJECT}.conffiles
	if [ -f build-stamp ]; then debian/rules clean; fi

# RPM
rpm:	clean tar
	-${RM} /usr/src/redhat/RPMS/i386/${PROJECT}-*.rpm
	${RPMBUILD} -tb --define '${PROJECT}_version ${PROJECT_VERSION}' ../${PROJECT}_${PROJECT_VERSION}.tar.gz ${RPMBUILD_SILENCE}
	@if [ -d /usr/src/redhat/RPMS/i386/ ]; then mv /usr/src/redhat/RPMS/i386/${PROJECT}-*.rpm ../; fi
	@if [ -d /usr/src/rpm/RPMS/i386/ ]; then mv /usr/src/rpm/RPMS/i386/${PROJECT}-*.rpm ../; fi
	@echo "Resulting RPM's:"
	@ls -l ../${PROJECT}-*.rpm
	${MAKE} clean
	@echo "RPMBuild done"

rpmsrc:	clean tar
	-${RM} /usr/src/redhat/RPMS/i386/${PROJECT}-*src.rpm
	${RPMBUILD} -ts --define '${PROJECT}_version ${PROJECT_VERSION}' ../${PROJECT}_${PROJECT_VERSION}.tar.gz ${RPMBUILD_SILENCE}
	@if [ -d /usr/src/redhat/RPMS/i386/ ]; then mv /usr/src/redhat/RPMS/i386/${PROJECT}-*.src.rpm ../; fi
	@if [ -d /usr/src/rpm/RPMS/i386/ ]; then mv /usr/src/rpm/RPMS/i386/${PROJECT}-*.src.rpm ../; fi
	@echo "Resulting RPM's:"
	@ls -l ../${PROJECT}-*.rpm
	${MAKE} clean
	@echo "RPMBuild-src done"

rpmclean:
	-${RM} ../${PROJECT}_${PROJECT_VERSION}.tar.gz

# Mark targets as phony
.PHONY : all install help clean dist tar bz2 deb debclean rpm rpmsrc

=== freebsd/Makefile ===
# New ports collection makefile for:   sixxs-aiccu
# Date created:                2004-09-09
# Initial FreeBSD port by: Meno Abels <meno.abels@adviser.com>
# Comments for this port please to the SixXS staff <info@sixxs.net>
#
## $FreeBSD: /repoman/r/pcvs/ports/net/sixxs-aiccu/Makefile,v 1.1 2005/03/14 17:47:07 vs Exp $
#

#PORTNAME=	sixxs-aiccu
PORTVERSION=	20070107
CATEGORIES=	net ipv6
MASTER_SITES=	http://www.sixxs.net/archive/sixxs/aiccu/unix/
DISTNAME=	aiccu_20070107

# Maintainer of the FreeBSD port, but always copy: info@sixxs.net
MAINTAINER=	meno.abels@adviser.com
COMMENT=	IPv6 Tunnel Broker client capable of configuring using TIC, static, AYIYA and heartbeat tunnels

USE_RC_SUBR=	sixxs-aiccu
USE_GMAKE=	yes
CFLAGS+=	${PTHREAD_CFLAGS}
LDFLAGS+=	${PTHREAD_LIBS}
MAKE_ARGS=	CC="${CC}"
MAKE_ENV=	CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
WRKSRC=		${WRKDIR}/aiccu
BUILD_WRKSRC=	${WRKDIR}/aiccu/unix-console

PORTDOCS=	README

# FreeBSD doesn't use named interfaces, thus default to gif0
pre-build:
	@${SED} \
		-e 's:ipv6_interface sixxs:ipv6_interface gif0:' \
		${WRKSRC}/doc/aiccu.conf > ${WRKDIR}/aiccu.conf

do-install:
	@${MKDIR} ${DOCSDIR} ${EXAMPLESDIR}
	${INSTALL_PROGRAM} ${WRKSRC}/unix-console/aiccu ${PREFIX}/sbin/sixxs-aiccu
	${INSTALL_DATA} ${WRKSRC}/doc/README ${DOCSDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/LICENSE ${DOCSDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/aiccu.conf ${EXAMPLESDIR}
	${INSTALL_DATA} ${WRKDIR}/aiccu.conf ${PREFIX}/etc/aiccu.conf.sample

.include <bsd.port.mk>

=== netbsd/Makefile ===
# $NetBSD: Makefile,v 1.7 2006/11/10 20:58:09 rillig Exp $

DISTNAME=		aiccu_2006.07.25
PKGNAME=		${DISTNAME:S/_/-/:S/.//g}
CATEGORIES=		net
MASTER_SITES=		http://www.sixxs.net/archive/sixxs/aiccu/unix/

MAINTAINER=		ghen@NetBSD.org
HOMEPAGE=		http://www.sixxs.net/tools/aiccu/
COMMENT=		Automatic IPv6 Connectivity Client Utility

USE_TOOLS+=		gmake
CHECK_PORTABILITY_SKIP+=	debian/*

SUBST_CLASSES+=		sysconfdir
SUBST_STAGE.sysconfdir=	post-patch
SUBST_FILES.sysconfdir=	common/aiccu.h
SUBST_SED.sysconfdir=	-e 's,/etc/aiccu.conf,${PKG_SYSCONFDIR}/aiccu.conf,'

EXAMPLESDIR=		${PREFIX}/share/examples/aiccu
DOCDIR=			${PREFIX}/share/doc/aiccu
CONF_FILES=		${EXAMPLESDIR}/aiccu.conf ${PKG_SYSCONFDIR}/aiccu.conf
CONF_FILES_MODE=	0600

RCD_SCRIPTS=		aiccu

.include "options.mk"

# the distfile untars as ${WRKDIR}/aiccu/ but this would conflict with the
# rc.d script that gets copied to the same name ${WRKDIR}/${RCD_SCRIPTS}
post-extract:
	${MV} ${WRKDIR}/aiccu ${WRKDIR}/${DISTNAME}

do-install:
	${INSTALL_PROGRAM} ${WRKSRC}/unix-console/aiccu ${PREFIX}/sbin/
	${INSTALL_MAN} ${WRKSRC}/doc/aiccu.1 ${PREFIX}/${PKGMANDIR}/man1/
	${INSTALL_DATA_DIR} ${EXAMPLESDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/aiccu.conf ${EXAMPLESDIR}/
	${INSTALL_DATA_DIR} ${DOCDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/README ${DOCDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/LICENSE ${DOCDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/HOWTO ${DOCDIR}

.include "../../mk/pthread.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

=== openbsd/Makefile ===
# $OpenBSD$

COMMENT=	"Automatic IPv6 Connectivity Configuration Utility (AICCU)"

PKGNAME=	sixxs-aiccu-2007-01-07
DISTNAME=	aiccu_20070107
CATEGORIES=	net

HOMEPAGE=	http://www.sixxs.net/tools/aiccu/
MASTER_SITES=	http://www.sixxs.net/archive/sixxs/aiccu/unix/

MAINTAINER=	Thomas Kaschwig <openbsd@kaschwig.net>

SED=		/usr/bin/sed

# GPL
PERMIT_PACKAGE_CDROM=   Yes
PERMIT_PACKAGE_FTP=     Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP=   Yes
WANTLIB=		c pthread

EXTRACT_SUFX=	.tar.gz
WRKDIST=	${WRKDIR}/aiccu

NO_REGRESS=	Yes

USE_GMAKE=	Yes
DOCDIR=		${PREFIX}/share/doc/sixxs-aiccu
EXAMPLEDIR=	${PREFIX}/share/examples/sixxs-aiccu

pre-build:
	${SED}	-e 's:ipv6_interface sixxs:ipv6_interface gif0:' \
			${WRKSRC}/doc/aiccu.conf > ${WRKSRC}/aiccu.conf

do-install:
	${INSTALL_DATA_DIR} ${DOCDIR} ${EXAMPLEDIR}
	${INSTALL_PROGRAM} ${WRKSRC}/unix-console/aiccu ${PREFIX}/sbin/sixxs-aiccu
	${INSTALL_DATA} ${WRKSRC}/aiccu.conf ${SYSCONFDIR}/aiccu.conf.sample
	${INSTALL_DATA} ${WRKSRC}/aiccu.conf ${EXAMPLEDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/README ${DOCDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/LICENSE ${DOCDIR}
	${INSTALL_DATA} ${WRKSRC}/doc/HOWTO ${DOCDIR}

.include <bsd.port.mk>

=== unix-console/Makefile ===
# /**********************************************************
#  SixXS - Automatic IPv6 Connectivity Configuration Utility
# ***********************************************************
#  Copyright 2003-2005 SixXS - http://www.sixxs.net
# ***********************************************************
#  unix-client/Makefile - Makefile for the UNIX client
# ***********************************************************
#  $Author: jeroen $
#  $Id: Makefile,v 1.32 2007-01-15 11:04:27 jeroen Exp $
#  $Date: 2007-01-15 11:04:27 $
# **********************************************************/

SRCS	= main.c ../common/tun.c ../common/aiccu.c ../common/hash_md5.c ../common/hash_sha1.c ../common/common.c ../common/heartbeat.c ../common/tic.c ../common/ayiya.c ../common/aiccu_test.c ../common/resolver.c
INCS	= ../common/tun.h ../common/aiccu.h ../common/hash_md5.h ../common/hash_sha1.h ../common/common.h ../common/heartbeat.h ../common/tic.h ../common/ayiya.h ../common/resolver.h
OBJS	= main.o ../common/tun.o ../common/aiccu.o ../common/hash_md5.o ../common/hash_sha1.o ../common/common.o ../common/heartbeat.o ../common/tic.o ../common/ayiya.o ../common/aiccu_test.o ../common/resolver.o

# New features not fully implemented and thus disabled for now
#CFLAGS	+= -D NEWSTUFF_TSP -D NEWSTUFF_TEEPEE
#SRCS += ../common/tsp.c ../common/teepee.c
#OBJS += ../common/tsp.o ../common/teepee.o
#INCS += ../common/tsp.h ../common/teepee.h

# Our very *bliep* set of options to make sure that these things can't cause any issues
CWARNS += -W -Wall -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wnested-externs -Winline -Wbad-function-cast -fshort-enums -fstrict-aliasing -fno-common -Wpadded -pedantic -D_REENTRANT
# CWARNS += -Wpacked

#CFLAGS	+= $(CWARNS) -D_GNU_SOURCE -D_DEBUG -g3 -O0
CFLAGS	+= $(CWARNS) -D_GNU_SOURCE
CC      = @gcc
RM      = rm

# Add -O3 when nothing is specified yet
ifeq ($(shell echo $(CFLAGS) | grep -c "\-O"),0)
CFLAGS	+= -O3
endif

# This is a console client
CFLAGS	+= -D AICCU_CONSOLE

# GnuTLS Support ?
# Used by TIC to secure that communication
# Currently defaultly builds only on Linux, but other platforms might easily also support it
ifeq ($(shell uname | grep -c "Linux"),1)
CFLAGS	+= -D AICCU_GNUTLS
LDFLAGS += -lgnutls
endif

# Linux
ifeq ($(shell uname | grep -c "Linux"),1)
CFLAGS  += -D_LINUX -D HAS_IFHEAD -D AICCU_TYPE="\"linux\""
SRCS	+= ../common/aiccu_linux.c
OBJS	+= ../common/aiccu_linux.o
LDFLAGS	+= -lpthread -lresolv
endif

# FreeBSD
ifeq ($(shell uname | grep -c "FreeBSD"),1)
CFLAGS	+= -D_FREEBSD

# FreeBSD 4.x
ifeq ($(shell uname -r | cut -c 1),4)
CFLAGS	+= -D AICCU_TYPE="\"freebsd4\""
SRCS	+= ../common/aiccu_freebsd4.c
OBJS	+= ../common/aiccu_freebsd4.o
else
# FreeBSD 5.x/6.x/7.x
CFLAGS	+= -D NEED_IFHEAD -D AICCU_TYPE="\"kame\""
SRCS	+= ../common/aiccu_kame.c
OBJS	+= ../common/aiccu_kame.o
endif
endif

# DragonFlyBSD
ifeq ($(shell uname | grep -c "DragonFly"),1)
CFLAGS	+= -D_DFBSD -D NEED_IFHEAD -D AICCU_TYPE="\"dragonfly\""
SRCS	+= ../common/aiccu_freebsd4.c
OBJS	+= ../common/aiccu_freebsd4.o
CFLAGS	+= -pthread
endif

# NetBSD
ifeq ($(shell uname | grep -c "NetBSD"),1)
CFLAGS	+= -D_NETBSD -D AICCU_TYPE="\"kame\""

# Check if net/if_tun.h has TUNSIFHEAD and enable support for it
ifneq ($(shell grep -c TUNSIFHEAD /usr/include/net/if_tun.h 2>/dev/null),1)
# Supports TUNSIFHEAD -> AYIYA/l2tp available
CFLAGS	+= -D NEED_IFHEAD
else
# Doesn't support TUNSIFHEAD -> No AYIYA/l2tp available
CFLAGS	+= -D NO_IFHEAD
endif

SRCS	+= ../common/aiccu_kame.c
OBJS	+= ../common/aiccu_kame.o
CFLAGS	+= -pthread -D_NETBSD_SOURCE
endif

# OpenBSD
ifeq ($(shell uname | grep -c "OpenBSD"),1)
CFLAGS	+= -D_OPENBSD -D HAS_IFHEAD
# 2.7-2.9
ifeq ($(shell uname -r | cut -c 1),2)
CFLAGS	+= -D AICCU_TYPE="\"openbsd2\""
SRCS	+= ../common/aiccu_openbsd2.c
OBJS	+= ../common/aiccu_openbsd2.o
else
# 3.x-4.x etc
CFLAGS	+= -D AICCU_TYPE="\"openbsd\""
SRCS	+= ../common/aiccu_openbsd.c
OBJS	+= ../common/aiccu_openbsd.o
endif
CFLAGS	+= -pthread
endif

# Darwin
ifeq ($(shell uname | grep -c "Darwin"),1)
CFLAGS	+= -D_DARWIN -D NEED_IFHEAD -D AICCU_TYPE="\"darwin\""
SRCS	+= ../common/aiccu_darwin.c
OBJS	+= ../common/aiccu_darwin.o
LDFLAGS	+= -lresolv
endif

# SunOS / Solaris
ifeq ($(shell uname | grep -c "SunOS"),1)
CFLAGS	+= -D_SUNOS -D AICCU_TYPE="\"sunos\""
SRCS	+= ../common/aiccu_sunos.c
OBJS	+= ../common/aiccu_sunos.o
LDFLAGS	+= -lsocket -lnsl -lresolv
endif

# AIX
ifeq ($(shell uname | grep -c "AIX"),1)
CC	= @/usr/vac/bin/xlc_r
CFLAGS	= -qthreaded -q64 -qlanglvl=stdc99 -bmaxdata:0xD0000000 -D_64BIT -g -qdbxextra -qfullpath -qheapdebug -qformat=all -qcheck=all
CFLAGS	+= -D AICCU_CONSOLE
CFLAGS	+= -D_AIX -D AICCU_TYPE="\"aix\""
SRCS	+= ../common/aiccu_aix.c
OBJS	+= ../common/aiccu_aix.o
LDFLAGS	+= -lpthread
endif


all: aiccu

aiccu:	$(OBJS) ${SRCS} ${INCS}
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS)
ifeq ($(shell echo $(CFLAGS) | grep -c "DEBUG"),0)
ifeq ($(shell echo "$(RPM_OPT_FLAGS)" | wc -c),1)
	strip $@
endif
endif

clean:
	$(RM) -f $(OBJS) aiccu

install: aiccu
	cp aiccu ${DESTDIR}${dirsbin}aiccu

=== debian/changelog ===
aiccu (20070115-15.1ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - debian/aiccu.upstart: add upstart configuration.
    - Add apport hook for /var/log/aiccu.log.
    - Remove personal data (username, password, tunnel_id) in apport-reports.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 14:31:58 +0200

aiccu (20070115-15.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove quilt usage from source format 3.0 package. Fixes FTBFS on
    kfreebsd. (Closes: #667755)
    + Remove no more needed build-dependency on quilt and README.source
  * Add Danish translation of debconf templates by Joe Hansen (Closes:
    #670971)

 -- Axel Beckert <abe@debian.org>  Sun, 01 Jul 2012 00:06:34 +0200

aiccu (20070115-15ubuntu3) quantal; urgency=low

  * upstart-script did not honour default server tic.sixxs.net
    (LP: #1007408)

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Fri, 15 Jun 2012 11:58:43 +0200

aiccu (20070115-15ubuntu2) quantal; urgency=low

  * Add apport hook for /var/log/aiccu.log (LP: #1001432)
  * Remove personal data (username, password, tunnel_id) in apport-reports

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Sun, 10 Jun 2012 10:34:01 +0200

aiccu (20070115-15ubuntu1) quantal; urgency=low

  * Merge from current Debian sid. Remaining changes:
    - debian/aiccu.upstart: add upstart configuration.

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Fri, 01 Jun 2012 09:57:52 +0200

aiccu (20070115-15) unstable; urgency=low

  * Upgraded standards-version to 3.9.3
  * Fix "fix for kfreebsd-* dependencies" Updated control file (Closes: #634102)
  * Fix "please enable hardening options" Enabled all hardening options 
    (Closes: #644408)
  * Lintian clean
    - Remove postrm.debhelper
    - Make non-executable debian/changelog debian/control
    - Add description to patch/09_binutils_gold.patch

 -- Reinier Haasjes <reinier@haasjes.com>  Mon, 26 Mar 2012 12:54:54 +0200

aiccu (20070115-14.1ubuntu3) precise; urgency=low

  [ Lars Duesing ]
  * Switch back to using "daemonize true" (LP: #970054):
    - d/patches/10_upstart.patch: Dropped - no longer required.
    - d/aiccu.upstart: check configuration for aiccu to daemonize itself.

  [ James Page ]
  * d/aiccu.upstart: Added check to ensure that server configuration has
    been specified before trying to check access. 

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Mon, 02 Apr 2012 11:40:44 +0200

aiccu (20070115-14.1ubuntu2) precise; urgency=low

  * debian/aiccu.upstart:
    - Use pre-start, post-stop scripts to start and stop aiccu as upstart
      cannot track aiccu in any meaningful way (LP: #967090).
    - Check access to IPv6 endpoint before starting aiccu to avoid race
      conditions with local DNS services (LP: #967095). 
      Thanks to Lars Düsing for this fix.
    - Updated start on stanza to include local-filesystems.
    - General tidy of upstart configuration including placing logfile in
      /var/log and generating log entry timestamps.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Mar 2012 12:50:10 +0100

aiccu (20070115-14.1ubuntu1) precise; urgency=low

  * Fix race between DHCP setup and aiccu start by using an event-triggered
    upstart script instead of init.d (LP: #223825)

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Wed, 29 Feb 2012 08:41:59 +0100

aiccu (20070115-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "/etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays":
    check if aiccu is enabled in /etc/default/aiccu and running before trying
    to ping/restart.
    (Closes: #610332)
  * Fix "Does not compile with ld.gold": add patch from Ubuntu /
    Tarun Kumar Mall:
    - debian/patches/09_binutils_gold.patch:
      + patch changes unix-console/Makefile to fix FTBFS. (LP: #726121)
    (Closes: #615897)

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Feb 2012 21:46:24 +0100

aiccu (20070115-14) unstable; urgency=low

  * Fix "preconfiguration fails" Add test to check if brokers-file exist.
    (Closes: #593983)
  * Upgraded standards-version to 3.9.1
  * Removed lintian-overrides; Lintian complained: "unused-override 
    no-upstream-changelog"
  * Add Recommends on bind9-host | dnsutils for the config script. -
    Thanks to Evgeni Golov 
  * debian/aiccu.config:
    + grep for "$RET", not $RET or it will fail on names with spaces. -
    Thanks to Evgeni Golov 

 -- Reinier Haasjes <reinier@haasjes.com>  Thu, 26 Aug 2010 22:09:58 +0200

aiccu (20070115-13) unstable; urgency=low

  * Fix "Package upgrade fails in postinst" Added db_stop to 
    aiccu.postinst (Closes: #574498) - Thanks to Jean-Louis Dupond
  * Added Spanish translation (Closes: #583542) - Thanks to Camaleón
  * Switch to dpkg-source 3.0 (quilt) format

 -- Reinier Haasjes <reinier@haasjes.com>  Sat, 29 May 2010 21:19:43 +0200

aiccu (20070115-12) unstable; urgency=low

  * Lintian clean (Closes: #566910)
  * Fix "setupscript not executed" (Closes: #538129) - Thanks to
    Norman Rasmussen
  * Fix "Should handle empty DNS query responses" Use default brokers
    list if no/empty reply (Closes: #567730)
  * Fix "No status section in aiccu init script" Rewrote init script
    (Closes: #564197)
  * Changed VCS to github.com
  * Upgraded standards-version to 3.8.4
  * Initialize syslog so that we log with our PID as Daemon - Thanks to
    Norman Rasmussen
  * Allow 'tunnels' mode when there's an already running instance - Thanks 
    to Norman Rasmussen

 -- Reinier Haasjes <reinier@haasjes.com>  Sat, 06 Mar 2010 10:08:09 +0100

aiccu (20070115-11) unstable; urgency=low

  * New maintainer. (Closes: #529185: ITA: aiccu -- SixXS Automatic IPv6
    Connectivity Client Utility)
  * Install aiccu.conf to usr/share/aiccu/conf-templates/ 
    and use in postinst (Closes: #559683) - Thanks to Patrick Schoenfeld
  * Fix "leaves password in debconf database" add db_reset to postinst
    (Closes: #512674)


=== debian/control ===
Source: aiccu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reinier Haasjes <reinier@haasjes.com>
Build-Depends: debhelper (>= 7), po-debconf, libgnutls-dev, docbook-to-man
Standards-Version: 3.9.3
Homepage: http://www.sixxs.net/tools/aiccu/
Vcs-Browser: http://github.com/rhaasjes/aiccu
Vcs-Git: git://github.com/rhaasjes/aiccu.git

Package: aiccu
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf, lsb-base, ucf,
 iputils-ping [linux-any],
 iputils-tracepath [linux-any],
 iproute [linux-any],
 freebsd-net-tools [kfreebsd-any]
Recommends: ntpdate | ntp | time-daemon, bind9-host | dnsutils
Description: SixXS Automatic IPv6 Connectivity Client Utility
 This client configures IPv6 connectivity without having to
 manually configure interfaces etc. A SixXS account or an account
 of another supported tunnel broker and at least one tunnel are
 required. These can be freely requested from the SixXS website
 at no cost. For more information about SixXS check their homepage.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Adjusted by Jeroen Massar <jeroen@sixxs.net> for aiccu

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# HARDENING
export DEB_BUILD_MAINT_OPTIONS="hardening=+pie,+bindnow" 

# dpkg-buildpackage no longer exports CFLAGS/CXXFLAGS/LDFLAGS/CPPFLAGS/FFLAGS
# http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
RPM_OPT_FLAGS = $(CFLAGS)
export RPM_OPT_FLAGS

%:
	dh $@

build:
	dh $@

clean:
	dh $@
#	dh_testdir
#	rm -f build-stamp configure-stamp
#
#	$(MAKE) clean
#
	# Fix permissions of configuration file
	chmod a-x `pwd`/doc/aiccu.conf

	# Fix permissions of 60aiccu file
	chmod a+x `pwd`/debian/60aiccu

	# Remove empty preinst script
	[ -f `pwd`/debian/aiccu.preinst ] && rm `pwd`/debian/aiccu.preinst || exit 0

#	dh_clean

binary-arch: build install
	dh $@

install: build
	dh $@
	# The license is already duplicated in debian/copyright
	rm `pwd`/debian/aiccu/usr/share/doc/aiccu/LICENSE

binary: binary-arch binary-indep

=== debian/watch ===
version=3
http://www.sixxs.net/archive/sixxs/aiccu/unix/aiccu_(\d+)\.tar\.gz
